package com.muyu.engine.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 规则引擎对象 rule_engine
 *
 * @author Saisai
 * @date 2024-05-03
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class RuleEngine extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String name;

    /** 规则类型 */
    @Excel(name = "规则类型")
    private String type;

    /** 规则作用域 */
    @Excel(name = "规则作用域")
    private String level;

    /** 规则编码 */
    @Excel(name = "规则编码")
    private String code;

    /** 引擎编码 */
    @Excel(name = "引擎编码")
    private String engineCode;

    /** 描述 */
    @Excel(name = "描述")
    private String description;

    /** 是否激活 */
    @Excel(name = "是否激活")
    private String isActivate;

    /** 规则状态 */
    @Excel(name = "规则状态")
    private String status;


}
