package com.muyu.engine.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 规则版本对象 rule_engine_version
 *
 * @author Saisai
 * @date 2024-05-06
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class RuleEngineVersion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 引擎id */
    @Excel(name = "引擎id")
    private Long ruleEngineId;

    /** 版本类 */
    @Excel(name = "版本类")
    private String versionCode;

    /** 版本名称 */
    @Excel(name = "版本名称")
    private String name;

    /** 版本code */
    @Excel(name = "版本code")
    private String code;

    /** 引擎编码 */
    @Excel(name = "引擎编码")
    private String codeIng;

    /** 是否激活 */
    @Excel(name = "是否激活")
    private String isActivate;

    /** 测试状态 */
    @Excel(name = "是否激活")
    private String isTest;

    /** 版本状态 */
    @Excel(name = "版本状态")
    private String status;

    /** 描述 */
    @Excel(name = "描述")
    private String description;


}
