package com.muyu.engine.domain.engine.scope;


import com.muyu.engine.domain.engine.Engine;
import com.muyu.engine.domain.model.DataModel;
import com.muyu.engine.domain.scope.DataModelContext;
import com.muyu.engine.domain.scope.model.DataProcessModel;

/**
 * @Author: DongZeLiang
 * @date: 2024/5/6
 * @Description: 数据模型引擎接口
 * @Version: 1.0
 */
public abstract class DataModelEngine implements Engine<DataProcessModel> {

    private DataModelContext dataModelContext;

    @Override
    public DataProcessModel get (){
        return dataModelContext.get();
    }

    public DataModel getModel(){
        return get().getDataModel();
    }


    public String getKey () {
        return getModel().getKey();
    }

    public Object getValue () {
        return getModel().getValue();
    }

    public String getSourceType () {
        return getModel().getSourceType();
    }

    public String getProcessType () {
        return getModel().getProcessType();
    }

    public Class<?> getProcessClass () {
        return getModel().getProcessClass();
    }

}
