package com.muyu.engine.domain.engine.scope;

import com.muyu.engine.domain.engine.Engine;
import com.muyu.engine.domain.model.DataSetModel;
import com.muyu.engine.domain.scope.DataSetContext;
import com.muyu.engine.domain.scope.model.DataSetProcessModel;

/**
 * 数据模型引擎接口
 * @Author: DongZeLiang
 * @date: 2024/5/6
 * @Description: 数据模型引擎接口
 * @Version: 1.0
 */
public abstract class DataSetEngine implements Engine<DataSetProcessModel> {
    //上下文对象
    private DataSetContext dataSetContext;

    @Override
    public DataSetProcessModel get() {
        return dataSetContext.get();
    }

    public DataSetModel getModel(){
        return get().getDataSetModel();
    }

}
