package com.muyu.engine.domain.engine.scope;


import com.muyu.engine.domain.engine.Engine;
import com.muyu.engine.domain.model.RecordModel;
import com.muyu.engine.domain.scope.RecordContext;
import com.muyu.engine.domain.scope.model.RecordProcessModel;

/**
 * @Author: DongZeLiang
 * @date: 2024/5/6
 * @Description: 数据模型引擎接口
 * @Version: 1.0
 */
public abstract class RecordEngine implements Engine<RecordProcessModel> {

    private RecordContext recordContext;

    @Override
    public RecordProcessModel get() {
        return recordContext.get();
    }

    //获取记录模型
    public RecordModel getModel(){
        return get().getRecordModel();
    }

    //获取键唯一值
    public String[] getKeys(){
        return get().getKeys();
    }




}
