package com.muyu.engine.domain.scope;


import com.muyu.engine.domain.scope.model.DataProcessModel;

/**
 * @Author: DongZeLiang
 * @date: 2024/4/29
 * @Description: 数据模型
 * @Version: 1.0
 */
public class DataModelContext implements ScopeContext <DataProcessModel>{

    private static final ThreadLocal<DataProcessModel> THREAD_LOCAL = new ThreadLocal<>();

    private final DataSetContext dataSetContext;

    public DataModelContext (DataSetContext dataSetContext) {
        this.dataSetContext = dataSetContext;
    }

    @Override
    public DataProcessModel get () {
        return THREAD_LOCAL.get();
    }
}
