package com.muyu.engine.domain.scope;


import com.muyu.engine.domain.scope.model.DataSetProcessModel;

/**
 * @Author: DongZeLiang
 * @date: 2024/4/29
 * @Description: 数据集
 * @Version: 1.0
 */
public class DataSetContext implements ScopeContext<DataSetProcessModel>{

    private static final ThreadLocal<DataSetProcessModel> THREAD_LOCAL = new ThreadLocal<>();

    private final RecordContext recordContext;

    public DataSetContext (RecordContext recordContext) {
        this.recordContext = recordContext;
    }

    @Override
    public DataSetProcessModel get() {
        return THREAD_LOCAL.get();
    }
}
