package com.muyu.engine.domain.scope;


import com.muyu.engine.domain.scope.model.RecordProcessModel;

/**
 * @Author: DongZeLiang
 * @date: 2024/4/29
 * @Description: 记录/资产模型
 * @Version: 1.0
 */
public class RecordContext implements ScopeContext<RecordProcessModel> {

    private static final ThreadLocal<RecordProcessModel> THREAD_LOCAL = new ThreadLocal<>();

    private final TaskContext taskContext;

    public RecordContext(TaskContext taskContext) {
        this.taskContext = taskContext;
    }

    @Override
    public RecordProcessModel get(){
        return THREAD_LOCAL.get();
    }
}
