package com.muyu.engine.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.engine.domain.RuleEngine;

import java.util.List;

/**
 * 规则引擎Mapper接口
 *
 * @author Saisai
 * @date 2024-05-03
 */
public interface RuleEngineMapper extends BaseMapper<RuleEngine>
{
    /**
     * 查询规则引擎
     *
     * @param id 规则引擎主键
     * @return 规则引擎
     */
    public RuleEngine selectRuleEngineById(Long id);

    /**
     * 查询规则引擎列表
     *
     * @param ruleEngine 规则引擎
     * @return 规则引擎集合
     */
    public List<RuleEngine> selectRuleEngineList(RuleEngine ruleEngine);

    /**
     * 新增规则引擎
     *
     * @param ruleEngine 规则引擎
     * @return 结果
     */
    public int insertRuleEngine(RuleEngine ruleEngine);

    /**
     * 修改规则引擎
     *
     * @param ruleEngine 规则引擎
     * @return 结果
     */
    public int updateRuleEngine(RuleEngine ruleEngine);

    /**
     * 删除规则引擎
     *
     * @param id 规则引擎主键
     * @return 结果
     */
    public int deleteRuleEngineById(Long id);

    /**
     * 批量删除规则引擎
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRuleEngineByIds(Long[] ids);
}
