package com.muyu.engine.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.engine.domain.RuleEngineVersion;

/**
 * 规则版本Mapper接口
 *
 * @author Saisai
 * @date 2024-05-06
 */
public interface RuleEngineVersionMapper extends BaseMapper<RuleEngineVersion>
{
    /**
     * 查询规则版本
     *
     * @param id 规则版本主键
     * @return 规则版本
     */
    public RuleEngineVersion selectRuleEngineVersionById(Long id);

    /**
     * 查询规则版本列表
     *
     * @param ruleEngineVersion 规则版本
     * @return 规则版本集合
     */
    public List<RuleEngineVersion> selectRuleEngineVersionList(RuleEngineVersion ruleEngineVersion);

    /**
     * 新增规则版本
     *
     * @param ruleEngineVersion 规则版本
     * @return 结果
     */
    public int insertRuleEngineVersion(RuleEngineVersion ruleEngineVersion);

    /**
     * 修改规则版本
     *
     * @param ruleEngineVersion 规则版本
     * @return 结果
     */
    public int updateRuleEngineVersion(RuleEngineVersion ruleEngineVersion);

    /**
     * 删除规则版本
     *
     * @param id 规则版本主键
     * @return 结果
     */
    public int deleteRuleEngineVersionById(Long id);

    /**
     * 批量删除规则版本
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRuleEngineVersionByIds(Long[] ids);
}
