package com.muyu.engine.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.engine.domain.RuleEngine;

import javax.servlet.ServletException;
import java.util.List;

/**
 * 规则引擎Service接口
 *
 * @author Saisai
 * @date 2024-05-03
 */
public interface RuleEngineService extends IService<RuleEngine>
{
    /**
     * 查询规则引擎
     *
     * @param id 规则引擎主键
     * @return 规则引擎
     */
    public RuleEngine selectRuleEngineById(Long id);

    /**
     * 查询规则引擎列表
     *
     * @param ruleEngine 规则引擎
     * @return 规则引擎集合
     */
    public List<RuleEngine> selectRuleEngineList(RuleEngine ruleEngine);

    /**
     * 新增规则引擎
     *
     * @param ruleEngine 规则引擎
     * @return 结果
     */
    public int insertRuleEngine(RuleEngine ruleEngine);

    /**
     * 修改规则引擎
     *
     * @param ruleEngine 规则引擎
     * @return 结果
     */
    public int updateRuleEngine(RuleEngine ruleEngine);

    /**
     * 批量删除规则引擎
     *
     * @param ids 需要删除的规则引擎主键集合
     * @return 结果
     */
    public int deleteRuleEngineByIds(Long[] ids);

    /**
     * 删除规则引擎信息
     *
     * @param id 规则引擎主键
     * @return 结果
     */
    public int deleteRuleEngineById(Long id);


}
