package com.muyu.system.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.system.domain.req.AsNoticeUserReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 通知公告人员中间对象 as_notice_user
 *
 * @author muyu
 * @date 2024-04-13
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class AsNoticeUser extends BaseEntity
{
    private static final long serialVersionUID = 0L;

    /** 主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /** 通知id */
    @Excel(name = "通知id")
    private Long noticeId;

    /** 人员id */
    @Excel(name = "人员id")
    private Long userId;

    /** 已读状态,'Y'已读，'N'未读 */
    @Excel(name = "已读状态,'Y'已读，'N'未读")
    private String readStates;

    /** 过期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "过期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 过期状态'N'未过期,'Y'已过期 */
    @Excel(name = "过期状态'N'未过期,'Y'已过期")
    private String outStates;

//    public static AsNoticeUser saveBuilder(AsNoticeUserReq req) {
//        return AsNoticeUser.builder()
//                .userId()
//                .outStates(req.getStatus())
//                .endTime(req.getInDateTime())
//                .readStates("N")
//                .outStates("N")
//                .createBy(req.getCreateBy())
//                .build();
//    }


}
