package com.muyu.system.domain.resp;

import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.core.xss.Xss;
import com.muyu.system.domain.SysNotice;
import com.muyu.system.domain.req.AsNoticeUserReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import net.bytebuddy.implementation.bind.annotation.Super;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;
import java.util.function.Supplier;

/**
 * @ClassName SysNoticeResp
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/4/14 14:21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class SysNoticeResp extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 公告ID
     */
    private Long noticeId;

    /**
     * 公告标题
     */
    private String noticeTitle;

    /**
     * 公告类型（1通知 2公告）
     */
    private String noticeType;

    /**
     * 公告内容
     */
    private String noticeContent;

    /**
     * 有效日期
     */
    private Date endTime;

    /**
     * 公告状态（0正常 1关闭）
     */
    private String status;

    /**
     * 总通知数量
     */
    private Long num;

    /**
     * 已读数量
     */
    private Long readNum;

    /**
     * 未读数量
     */
    private Long unReadNum;

    public static SysNoticeResp saveBuilder(SysNotice req){
        return SysNoticeResp.builder()
                .noticeId(req.getNoticeId())
                .noticeContent(req.getNoticeContent())
                .noticeTitle(req.getNoticeTitle())
                .noticeType(req.getNoticeType())
                .status(req.getStatus())
                .createBy(req.getCreateBy())
                .createTime(req.getCreateTime())
                .build();
    }

}
