package com.muyu.system.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.utils.DateUtils;
import com.muyu.common.system.domain.SysDept;
import com.muyu.system.mapper.SysDeptMapper;
import com.muyu.system.service.SysDeptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.muyu.system.mapper.AsNoticeUserMapper;
import com.muyu.system.domain.AsNoticeUser;
import com.muyu.system.service.AsNoticeUserService;

/**
 * 通知公告人员中间Service业务层处理
 *
 * @author muyu
 * @date 2024-04-13
 */
@Service
public class AsNoticeUserServiceImpl extends ServiceImpl<AsNoticeUserMapper, AsNoticeUser> implements AsNoticeUserService
{
    @Autowired
    private AsNoticeUserMapper asNoticeUserMapper;

    /**
     * 查询通知公告人员中间
     *
     * @param id 通知公告人员中间主键
     * @return 通知公告人员中间
     */
    @Override
    public AsNoticeUser selectAsNoticeUserById(Long id)
    {
        return asNoticeUserMapper.selectAsNoticeUserById(id);
    }

    /**
     * 查询通知公告人员中间列表
     *
     * @param asNoticeUser 通知公告人员中间
     * @return 通知公告人员中间
     */
    @Override
    public List<AsNoticeUser> selectAsNoticeUserList(AsNoticeUser asNoticeUser)
    {
        return asNoticeUserMapper.selectAsNoticeUserList(asNoticeUser);
    }

    /**
     * 新增通知公告人员中间
     *
     * @param asNoticeUser 通知公告人员中间
     * @return 结果
     */
    @Override
    public int insertAsNoticeUser(AsNoticeUser asNoticeUser)
    {
        asNoticeUser.setCreateTime(DateUtils.getNowDate());
        return asNoticeUserMapper.insertAsNoticeUser(asNoticeUser);
    }

    /**
     * 修改通知公告人员中间
     *
     * @param asNoticeUser 通知公告人员中间
     * @return 结果
     */
    @Override
    public int updateAsNoticeUser(AsNoticeUser asNoticeUser)
    {
        asNoticeUser.setUpdateTime(DateUtils.getNowDate());
        return asNoticeUserMapper.updateAsNoticeUser(asNoticeUser);
    }

    /**
     * 批量删除通知公告人员中间
     *
     * @param ids 需要删除的通知公告人员中间主键
     * @return 结果
     */
    @Override
    public int deleteAsNoticeUserByIds(Long[] ids)
    {
        return asNoticeUserMapper.deleteAsNoticeUserByIds(ids);
    }

    /**
     * 删除通知公告人员中间信息
     *
     * @param id 通知公告人员中间主键
     * @return 结果
     */
    @Override
    public int deleteAsNoticeUserById(Long id)
    {
        return asNoticeUserMapper.deleteAsNoticeUserById(id);
    }
}
