package com.muyu.etl.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.system.domain.SysDept;
import com.muyu.common.system.domain.SysUser;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 资产赋权对象 asset_impower
 *
 * @author Saisai
 * @date 2024-04-28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class AssetImpower extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 表id
     */
    @Excel(name = "表id")
    private Long tableId;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 接入id
     */
    @Excel(name = "接入id")
    private Long basicId;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private Long userId;

    public static AssetImpower saveAssetImpower(Long deptId,Long userId,AssetImpower assetImpower){
        return AssetImpower.builder()
                .basicId(assetImpower.getBasicId())
                .tableId(assetImpower.getTableId())
                .deptId(deptId)
                .userId(userId)
                .build();
    }

}
