package com.muyu.etl.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonGetter;
import com.fasterxml.jackson.annotation.JsonKey;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 字典详细内容对象 dict_info
 *
 * @author Saisai
 * @date 2024-04-24
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class DictInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 接入id */
    @Excel(name = "字典id")
    private Long dictId;

    /** 字典名称 */
    @Excel(name = "字典名称")
    private String infoName;

    /** 字典类型 */
    @Excel(name = "字典类型")
    private String infoValue;

    @JsonProperty("isEdit")
    private boolean isEdit;



}
