package com.muyu.etl.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import com.muyu.etl.domain.Structure;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 库表基础信息对象 table_info
 *
 * @author Saisai
 * @date 2024-04-22
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class TableInfoStructureResp
{
    private static final long serialVersionUID = 1L;

    /** 主键 */


    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private Long basicId;

    /** 表名称/数据库 */
    @Excel(name = "表名称/数据库")
    private String tableName;

    /** 表备注 */
    @Excel(name = "表备注")
    private String tableRemark;
    private Long parentId;

    /** 数据量 */
    @Excel(name = "数据量")
    private Long dataNum;
    /** 表备注 */
    @Excel(name = "数据来源类型")
    private String type;

    /** 是否核心 'Y'是 'N'不是 */
    @Excel(name = "是否核心 'Y'是 'N'不是")
    private String center;

    private String databaseType;

    private List<Structure> structureList;

}
