package com.muyu.etl.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.etl.domain.AssetDataDict;

/**
 * 资产数据字典Mapper接口
 *
 * @author Saisai
 * @date 2024-04-24
 */
public interface AssetDataDictMapper extends BaseMapper<AssetDataDict>
{
    /**
     * 查询资产数据字典
     *
     * @param id 资产数据字典主键
     * @return 资产数据字典
     */
    public AssetDataDict selectAssetDataDictById(Long id);

    /**
     * 查询资产数据字典列表
     *
     * @param assetDataDict 资产数据字典
     * @return 资产数据字典集合
     */
    public List<AssetDataDict> selectAssetDataDictList(AssetDataDict assetDataDict);

    /**
     * 新增资产数据字典
     *
     * @param assetDataDict 资产数据字典
     * @return 结果
     */
    public int insertAssetDataDict(AssetDataDict assetDataDict);

    /**
     * 修改资产数据字典
     *
     * @param assetDataDict 资产数据字典
     * @return 结果
     */
    public int updateAssetDataDict(AssetDataDict assetDataDict);

    /**
     * 删除资产数据字典
     *
     * @param id 资产数据字典主键
     * @return 结果
     */
    public int deleteAssetDataDictById(Long id);

    /**
     * 批量删除资产数据字典
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAssetDataDictByIds(Long[] ids);
}
