package com.muyu.etl.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.etl.domain.BasicConfigInfo;

/**
 * Mapper接口
 *
 * @author muyu
 * @date 2024-04-20
 */
public interface BasicConfigInfoMapper extends BaseMapper<BasicConfigInfo>
{
    /**
     * 查询
     *
     * @param id 主键
     * @return
     */
    public BasicConfigInfo selectBasicConfigInfoById(Long id);

    /**
     * 查询列表
     *
     * @param basicConfigInfo
     * @return 集合
     */
    public List<BasicConfigInfo> selectBasicConfigInfoList(BasicConfigInfo basicConfigInfo);

    /**
     * 新增
     *
     * @param basicConfigInfo
     * @return 结果
     */
    public int insertBasicConfigInfo(BasicConfigInfo basicConfigInfo);

    /**
     * 修改
     *
     * @param basicConfigInfo
     * @return 结果
     */
    public int updateBasicConfigInfo(BasicConfigInfo basicConfigInfo);

    /**
     * 删除
     *
     * @param id 主键
     * @return 结果
     */
    public int deleteBasicConfigInfoById(Long id);

    /**
     * 批量删除
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBasicConfigInfoByIds(Long[] ids);
}
