package com.muyu.etl.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.etl.domain.DictInfo;

/**
 * 字典详细内容Mapper接口
 *
 * @author Saisai
 * @date 2024-04-24
 */
public interface DictInfoMapper extends BaseMapper<DictInfo>
{
    /**
     * 查询字典详细内容
     *
     * @param id 字典详细内容主键
     * @return 字典详细内容
     */
    public DictInfo selectDictInfoById(Long id);

    /**
     * 查询字典详细内容列表
     *
     * @param dictInfo 字典详细内容
     * @return 字典详细内容集合
     */
    public List<DictInfo> selectDictInfoList(DictInfo dictInfo);

    /**
     * 新增字典详细内容
     *
     * @param dictInfo 字典详细内容
     * @return 结果
     */
    public int insertDictInfo(DictInfo dictInfo);

    /**
     * 修改字典详细内容
     *
     * @param dictInfo 字典详细内容
     * @return 结果
     */
    public int updateDictInfo(DictInfo dictInfo);

    /**
     * 删除字典详细内容
     *
     * @param id 字典详细内容主键
     * @return 结果
     */
    public int deleteDictInfoById(Long id);

    /**
     * 批量删除字典详细内容
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDictInfoByIds(Long[] ids);
}
