package com.muyu.etl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.etl.domain.Structure;

import java.util.List;

/**
 * 结构Mapper接口
 *
 * @author Saisai
 * @date 2024-04-22
 */
public interface StructureMapper extends BaseMapper<Structure>
{
    /**
     * 查询结构
     *
     * @param id 结构主键
     * @return 结构
     */
    public Structure selectStructureById(Long id);

    /**
     * 查询结构列表
     *
     * @param structure 结构
     * @return 结构集合
     */
    public List<Structure> selectStructureList(Structure structure);

    /**
     * 新增结构
     *
     * @param structure 结构
     * @return 结果
     */
    public int insertStructure(Structure structure);

    /**
     * 修改结构
     *
     * @param structure 结构
     * @return 结果
     */
    public int updateStructure(Structure structure);

    /**
     * 删除结构
     *
     * @param id 结构主键
     * @return 结果
     */
    public int deleteStructureById(Long id);

    /**
     * 批量删除结构
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStructureByIds(Long[] ids);
}
