package com.muyu.etl.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.etl.domain.AssetDataDict;
import com.muyu.etl.domain.resp.BasicDictResp;
import com.muyu.etl.domain.resp.TableInfoStructureResp;

import javax.servlet.ServletException;

/**
 * 资产数据字典Service接口
 *
 * @author Saisai
 * @date 2024-04-24
 */
public interface AssetDataDictService extends IService<AssetDataDict>
{
    /**
     * 查询资产数据字典
     *
     * @param id 资产数据字典主键
     * @return 资产数据字典
     */
    public AssetDataDict selectAssetDataDictById(Long id);

    /**
     * 查询资产数据字典列表
     *
     * @param assetDataDict 资产数据字典
     * @return 资产数据字典集合
     */
    public List<AssetDataDict> selectAssetDataDictList(AssetDataDict assetDataDict);

    /**
     * 新增资产数据字典
     *
     * @param assetDataDict 资产数据字典
     * @return 结果
     */
    public boolean insertAssetDataDict(AssetDataDict assetDataDict) throws ServletException;

    /**
     * 修改资产数据字典
     *
     * @param assetDataDict 资产数据字典
     * @return 结果
     */
    public int updateAssetDataDict(AssetDataDict assetDataDict);

    /**
     * 批量删除资产数据字典
     *
     * @param ids 需要删除的资产数据字典主键集合
     * @return 结果
     */
    public int deleteAssetDataDictByIds(Long[] ids);

    /**
     * 删除资产数据字典信息
     *
     * @param id 资产数据字典主键
     * @return 结果
     */
    public int deleteAssetDataDictById(Long id);

    List<BasicDictResp> getDict(Long basicId);

}
