package com.muyu.etl.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.etl.domain.AssetImpower;

/**
 * 资产赋权Service接口
 *
 * @author Saisai
 * @date 2024-04-28
 */
public interface AssetImpowerService extends IService<AssetImpower>
{
    /**
     * 查询资产赋权
     *
     * @param id 资产赋权主键
     * @return 资产赋权
     */
    public AssetImpower selectAssetImpowerById(Long id);

    /**
     * 查询资产赋权列表
     *
     * @param assetImpower 资产赋权
     * @return 资产赋权集合
     */
    public List<AssetImpower> selectAssetImpowerList(AssetImpower assetImpower);

    /**
     * 新增资产赋权
     *
     * @param assetImpower 资产赋权
     * @return 结果
     */
    public int insertAssetImpower(AssetImpower assetImpower);

    /**
     * 修改资产赋权
     *
     * @param assetImpower 资产赋权
     * @return 结果
     */
    public int updateAssetImpower(AssetImpower assetImpower);

    /**
     * 批量删除资产赋权
     *
     * @param ids 需要删除的资产赋权主键集合
     * @return 结果
     */
    public int deleteAssetImpowerByIds(Long[] ids);

    /**
     * 删除资产赋权信息
     *
     * @param id 资产赋权主键
     * @return 结果
     */
    public int deleteAssetImpowerById(Long id);

    List<AssetImpower> getPowerByTableId(Long tableId);
}
