package com.muyu.etl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.etl.domain.BasicConfigInfo;
import com.muyu.etl.domain.resp.BasicTableInfoResp;
import com.muyu.etl.domain.resp.TableInfoStructureResp;
import com.muyu.etl.domain.resp.TableTreeResp;

import javax.servlet.ServletException;
import java.util.List;

/**
 * Service接口
 *
 * @author muyu
 * @date 2024-04-20
 */
public interface BasicConfigInfoService extends IService<BasicConfigInfo>
{
    /**
     * 查询
     *
     * @param id 主键
     * @return
     */
    public BasicConfigInfo selectBasicConfigInfoById(Long id);

    /**
     * 查询列表
     *
     * @param basicConfigInfo
     * @return 集合
     */
    public List<BasicConfigInfo> selectBasicConfigInfoList(BasicConfigInfo basicConfigInfo);

    /**
     * 新增
     *
     * @param configQueryReq
     * @return 结果
     */
    public int insertBasicConfigInfo(BasicConfigInfo configQueryReq);

    /**
     * 修改
     *
     * @param basicConfigInfo
     * @return 结果
     */
    public int updateBasicConfigInfo(BasicConfigInfo basicConfigInfo);

    /**
     * 批量删除
     *
     * @param ids 需要删除的主键集合
     * @return 结果
     */
    public int deleteBasicConfigInfoByIds(Long[] ids);

    /**
     * 删除信息
     *
     * @param id 主键
     * @return 结果
     */
    public int deleteBasicConfigInfoById(Long id);

    boolean connectionTest(BasicConfigInfo basicConfigInfo) throws ServletException;

//    List getDataByEtl();

    List<TableTreeResp> getTableTree();

    TableInfoStructureResp getTableInfo(Long tableId);

    BasicTableInfoResp getBasicTableInfo(Long tableId);
}
