package com.muyu.etl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.etl.domain.DictInfo;

import javax.servlet.ServletException;
import java.util.List;

/**
 * 字典详细内容Service接口
 *
 * @author Saisai
 * @date 2024-04-24
 */
public interface DictInfoService extends IService<DictInfo>
{
    /**
     * 查询字典详细内容
     *
     * @param id 字典详细内容主键
     * @return 字典详细内容
     */
    public DictInfo selectDictInfoById(Long id);

    /**
     * 查询字典详细内容列表
     *
     * @param dictInfo 字典详细内容
     * @return 字典详细内容集合
     */
    public List<DictInfo> selectDictInfoList(DictInfo dictInfo);

    /**
     * 新增字典详细内容
     *
     * @param dictInfo 字典详细内容
     * @return 结果
     */
    public boolean insertDictInfo(DictInfo dictInfo) throws ServletException;

    /**
     * 修改字典详细内容
     *
     * @param dictInfo 字典详细内容
     * @return 结果
     */
    public int updateDictInfo(DictInfo dictInfo);

    /**
     * 批量删除字典详细内容
     *
     * @param ids 需要删除的字典详细内容主键集合
     * @return 结果
     */
    public int deleteDictInfoByIds(Long[] ids);

    /**
     * 删除字典详细内容信息
     *
     * @param id 字典详细内容主键
     * @return 结果
     */
    public int deleteDictInfoById(Long id);
}
