package com.muyu.etl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.etl.domain.Structure;

import java.util.List;

/**
 * 结构Service接口
 *
 * @author Saisai
 * @date 2024-04-22
 */
public interface StructureService extends IService<Structure>
{
    /**
     * 查询结构
     *
     * @param id 结构主键
     * @return 结构
     */
    public Structure selectStructureById(Long id);

    /**
     * 查询结构列表
     *
     * @param structure 结构
     * @return 结构集合
     */
    public List<Structure> selectStructureList(Structure structure);

    /**
     * 新增结构
     *
     * @param structure 结构
     * @return 结果
     */
    public int insertStructure(Structure structure);

    /**
     * 修改结构
     *
     * @param structure 结构
     * @return 结果
     */
    public int updateStructure(Structure structure);

    /**
     * 批量删除结构
     *
     * @param ids 需要删除的结构主键集合
     * @return 结果
     */
    public int deleteStructureByIds(Long[] ids);

    /**
     * 删除结构信息
     *
     * @param id 结构主键
     * @return 结果
     */
    public int deleteStructureById(Long id);

    boolean updateStructureInfoDict(Structure structure);
}
