package com.muyu.etl.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.etl.domain.TableInfo;
import com.muyu.etl.domain.resp.TableInfoStructureResp;

/**
 * 库表基础信息Service接口
 *
 * @author Saisai
 * @date 2024-04-22
 */
public interface TableInfoService extends IService<TableInfo>
{
    /**
     * 查询库表基础信息
     *
     * @param id 库表基础信息主键
     * @return 库表基础信息
     */
    public TableInfo selectTableInfoById(Long id);

    /**
     * 查询库表基础信息列表
     *
     * @param tableInfo 库表基础信息
     * @return 库表基础信息集合
     */
    public List<TableInfo> selectTableInfoList(TableInfo tableInfo);

    /**
     * 新增库表基础信息
     *
     * @param tableInfo 库表基础信息
     * @return 结果
     */
    public int insertTableInfo(TableInfo tableInfo);

    /**
     * 修改库表基础信息
     *
     * @param tableInfo 库表基础信息
     * @return 结果
     */
    public int updateTableInfo(TableInfo tableInfo);

    /**
     * 批量删除库表基础信息
     *
     * @param ids 需要删除的库表基础信息主键集合
     * @return 结果
     */
    public int deleteTableInfoByIds(Long[] ids);

    /**
     * 删除库表基础信息信息
     *
     * @param id 库表基础信息主键
     * @return 结果
     */
    public int deleteTableInfoById(Long id);

    TableInfo selectTableInfoByName(TableInfo build);

}
